package org.brapi.test.BrAPITestServer.model.dto.geno;

import java.util.List;

public class VariantSetAnalysisWriteRequest {
	private String analysisDbId;
	private String variantSetDbId;
	private String analysisName;
	private String description;
	private String type;
	private String created;
	private String updated;
	private List<String> software;

	public String getAnalysisDbId() {
		return analysisDbId;
	}

	public void setAnalysisDbId(String analysisDbId) {
		this.analysisDbId = analysisDbId;
	}

	public String getVariantSetDbId() {
		return variantSetDbId;
	}

	public void setVariantSetDbId(String variantSetDbId) {
		this.variantSetDbId = variantSetDbId;
	}

	public String getAnalysisName() {
		return analysisName;
	}

	public void setAnalysisName(String analysisName) {
		this.analysisName = analysisName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getCreated() {
		return created;
	}

	public void setCreated(String created) {
		this.created = created;
	}

	public String getUpdated() {
		return updated;
	}

	public void setUpdated(String updated) {
		this.updated = updated;
	}

	public List<String> getSoftware() {
		return software;
	}

	public void setSoftware(List<String> software) {
		this.software = software;
	}
}
